#include <sys/types.h>
#include <sys/socket.h>
#include <netinet/in.h>
#include <arpa/inet.h>
#include <netdb.h>
#include <unistd.h>
#include <stdlib.h>
#include <stdio.h>
#include <string.h>

#include "messagesocket.h"

MessageSocket::MessageSocket( void )
{
	type = None;
	bound = false;
    ourport = 0;
}

MessageSocket::~MessageSocket( void )
{
}

bool MessageSocket::setHostname( const char *hostname )
{
	if ( ( he = gethostbyname( hostname ) ) == NULL ) {
                fprintf(stderr,"setHostname %s\n",hostname);
		perror( "MessageSocket::setHostname(): gethostbyname() failed ");
		return false;
	}

	return true;
}

void MessageSocket::forcePortNumber( unsigned int newport )
{
	ourport = newport;
}



