#ifndef _DIALLISTREADONLY_H_
#define _DIALLISTREADONLY_H_

#include <qvaluelist.h>

class QString;
class QDomElement;
class QDate;
class QTime;
struct call;

class DialListReadOnly
{
    public:
        DialListReadOnly( unsigned int ml );
        ~DialListReadOnly();
        
        void load();
        QValueList<call> getAllCalls();
        QValueList<call> getLastCalls( unsigned int count=10 );

    protected:
        void openList();
        void loadCall(QDomElement *c);
        QValueList<call> lastcalls;
        QValueList<call> calls;
        void reInsertCall(QString callId, QString callerNr, QString callerName, QString subject, int type, QDate date, QTime time, int duration);
        
        QString dlFilename;
        unsigned int maxlength;
};
#endif
