// CHANGED 2004-07-28 Lutz Rogowski
#include "audiobuffer.h"
#include <qobject.h>

AudioBuffer::AudioBuffer( size_t length )
{
	data = new char[ length ];
	size = length;
	realsize = size;
    //qDebug("new a buf %x ", this);
}

AudioBuffer::~AudioBuffer( void )
{
	delete[] static_cast<char *>( data );
}

void AudioBuffer::resize( size_t newsize )
{
	if( newsize > realsize ) {
		delete[] static_cast<char *>( data );
		data = new char[ newsize ];
		size = newsize;
		realsize = newsize;
        // qDebug("resize buffer %x to %d ",this, newsize  );
	} else {
		size = newsize;
	}
}

